import * as v from 'valibot';
import type { Mdoc } from '../u-query.js';
import { ClaimsQuery } from './v-claims-query.js';
export declare const getNamespacesParser: (claimsQueries: ReturnType<typeof getClaimsQueriesForClaimSet>) => v.ObjectSchema<any, undefined>;
export declare const queryClaimFromMdoc: (claimsQuery: ClaimsQuery.Mdoc, credential: Mdoc) => (({
    output: string | number | boolean;
    success: true;
} & {
    [key: string]: unknown;
}) | ({
    output: unknown;
    success: false;
} & {
    [key: string]: unknown;
}))[];
export declare const getClaimsQueriesForClaimSet: (claimsQueries: ClaimsQuery.Mdoc[], claimSet?: string[]) => {
    isOptional: boolean;
    isRequiredIfPresent: boolean;
    namespace: string;
    claim_name: string;
    values?: (string | number | boolean)[] | undefined;
    id?: string | undefined;
}[];
//# sourceMappingURL=claims-query-result.d.ts.map