import type { Mdoc } from '../u-query.js';
import type { CredentialQuery } from './v-credential-query.js';
export declare const queryCredentialSet: (credentialQueries: CredentialQuery[], credentials: Mdoc[], credential_set?: [string, ...string[]]) => ({
    id: string;
    isOptional: boolean;
    format: "mso_mdoc";
    claim_sets_results: ({
        output: {
            [x: string]: unknown;
        };
        areRequiredClaimsPresent: true;
    } | {
        output: unknown;
        areRequiredClaimsPresent: false;
    })[][];
    meta?: {
        doctype_values?: string[] | undefined;
    } | undefined;
    claims?: {
        namespace: string;
        claim_name: string;
        claim_query_results: ("all" | (({
            output: string | number | boolean;
            success: true;
        } & {
            [key: string]: unknown;
        }) | ({
            output: unknown;
            success: false;
        } & {
            [key: string]: unknown;
        }))[])[][];
        values?: (string | number | boolean)[] | undefined;
        id?: string | undefined;
    }[] | undefined;
    claim_sets?: string[][] | undefined;
} | {
    id: string;
    isOptional: boolean;
    format: "vc+sd-jwt";
    claim_sets_results: ({
        output: {
            [x: string]: unknown;
        };
        areRequiredClaimsPresent: true;
    } | {
        output: unknown;
        areRequiredClaimsPresent: false;
    })[][];
    meta?: {
        vct_values?: string[] | undefined;
    } | undefined;
    claims?: {
        claim_query_results: ("all" | (({
            output: string | number | boolean;
            success: true;
        } & {
            [key: string]: unknown;
        }) | ({
            output: unknown;
            success: false;
        } & {
            [key: string]: unknown;
        }))[])[][];
        values?: (string | number | boolean)[] | undefined;
        id?: string | undefined;
        path?: (string | number)[] | undefined;
    }[] | undefined;
    claim_sets?: string[][] | undefined;
} | {
    id: string;
    isOptional: boolean;
    format: "jwt_vc_json" | "jwt_vc_json-ld";
    claim_sets_results: ({
        output: {
            [x: string]: unknown;
        };
        areRequiredClaimsPresent: true;
    } | {
        output: unknown;
        areRequiredClaimsPresent: false;
    })[][];
    claims?: {
        claim_query_results: ("all" | (({
            output: string | number | boolean;
            success: true;
        } & {
            [key: string]: unknown;
        }) | ({
            output: unknown;
            success: false;
        } & {
            [key: string]: unknown;
        }))[])[][];
        values?: (string | number | boolean)[] | undefined;
        id?: string | undefined;
        path?: (string | number)[] | undefined;
    }[] | undefined;
    claim_sets?: string[][] | undefined;
})[];
//# sourceMappingURL=credential-query-result.d.ts.map