import * as v from 'valibot';
export declare namespace VpQueryResult {
    const vQueryResult: v.ObjectSchema<{
        readonly areRequiredCredentialsPresent: v.BooleanSchema<undefined>;
        readonly credential_set_result: v.ArraySchema<v.VariantSchema<"format", [v.ObjectSchema<{
            readonly claims: v.OptionalSchema<v.SchemaWithPipe<[v.ArraySchema<Omit<v.ObjectSchema<{
                readonly claim_query_results: v.ArraySchema<v.ArraySchema<v.UnionSchema<[v.LiteralSchema<"all", undefined>, v.ArraySchema<v.UnionSchema<[v.LooseObjectSchema<{
                    readonly success: v.LiteralSchema<true, undefined>;
                    readonly output: v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>], undefined>;
                }, undefined>, v.LooseObjectSchema<{
                    readonly success: v.LiteralSchema<false, undefined>;
                    readonly output: v.UnknownSchema;
                }, undefined>], undefined>, undefined>], undefined>, undefined>, undefined>;
                readonly isOptional: v.BooleanSchema<undefined>;
                readonly isRequiredIfPresent: v.BooleanSchema<undefined>;
                readonly id: v.OptionalSchema<v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>, never>;
                readonly namespace: v.StringSchema<undefined>;
                readonly claim_name: v.StringSchema<undefined>;
                readonly values: v.OptionalSchema<v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>], undefined>, undefined>, never>;
            }, undefined>, "entries" | "_types" | "_run"> & {
                readonly entries: Omit<{
                    readonly claim_query_results: v.ArraySchema<v.ArraySchema<v.UnionSchema<[v.LiteralSchema<"all", undefined>, v.ArraySchema<v.UnionSchema<[v.LooseObjectSchema<{
                        readonly success: v.LiteralSchema<true, undefined>;
                        readonly output: v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>], undefined>;
                    }, undefined>, v.LooseObjectSchema<{
                        readonly success: v.LiteralSchema<false, undefined>;
                        readonly output: v.UnknownSchema;
                    }, undefined>], undefined>, undefined>], undefined>, undefined>, undefined>;
                    readonly isOptional: v.BooleanSchema<undefined>;
                    readonly isRequiredIfPresent: v.BooleanSchema<undefined>;
                    readonly id: v.OptionalSchema<v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>, never>;
                    readonly namespace: v.StringSchema<undefined>;
                    readonly claim_name: v.StringSchema<undefined>;
                    readonly values: v.OptionalSchema<v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>], undefined>, undefined>, never>;
                }, "isOptional" | "isRequiredIfPresent">;
                _run(dataset: v.Dataset<unknown, never>, config: v.Config<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.RegexIssue<string> | v.ArrayIssue | v.ObjectIssue | v.LooseObjectIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.LooseObjectIssue> | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.ArrayIssue | v.LooseObjectIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.LooseObjectIssue>>>): v.Dataset<{
                    namespace: string;
                    claim_name: string;
                    claim_query_results: ("all" | (({
                        output: string | number | boolean;
                        success: true;
                    } & {
                        [key: string]: unknown;
                    }) | ({
                        output: unknown;
                        success: false;
                    } & {
                        [key: string]: unknown;
                    }))[])[][];
                    values?: (string | number | boolean)[] | undefined;
                    id?: string | undefined;
                }, v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.RegexIssue<string> | v.ArrayIssue | v.ObjectIssue | v.LooseObjectIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.LooseObjectIssue> | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.ArrayIssue | v.LooseObjectIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.LooseObjectIssue>>>;
                readonly _types?: {
                    readonly input: {
                        namespace: string;
                        claim_name: string;
                        claim_query_results: ("all" | (({
                            output: string | number | boolean;
                            success: true;
                        } & {
                            [key: string]: unknown;
                        }) | ({
                            output: unknown;
                            success: false;
                        } & {
                            [key: string]: unknown;
                        }))[])[][];
                        values?: (string | number | boolean)[] | undefined;
                        id?: string | undefined;
                    };
                    readonly output: {
                        namespace: string;
                        claim_name: string;
                        claim_query_results: ("all" | (({
                            output: string | number | boolean;
                            success: true;
                        } & {
                            [key: string]: unknown;
                        }) | ({
                            output: unknown;
                            success: false;
                        } & {
                            [key: string]: unknown;
                        }))[])[][];
                        values?: (string | number | boolean)[] | undefined;
                        id?: string | undefined;
                    };
                    readonly issue: v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.RegexIssue<string> | v.ArrayIssue | v.ObjectIssue | v.LooseObjectIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.LooseObjectIssue> | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.ArrayIssue | v.LooseObjectIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.LooseObjectIssue>>;
                } | undefined;
            }, undefined>, v.NonEmptyAction<{
                namespace: string;
                claim_name: string;
                claim_query_results: ("all" | (({
                    output: string | number | boolean;
                    success: true;
                } & {
                    [key: string]: unknown;
                }) | ({
                    output: unknown;
                    success: false;
                } & {
                    [key: string]: unknown;
                }))[])[][];
                values?: (string | number | boolean)[] | undefined;
                id?: string | undefined;
            }[], undefined>]>, never>;
            readonly claim_sets_results: v.ArraySchema<v.ArraySchema<v.UnionSchema<[v.ObjectSchema<{
                readonly areRequiredClaimsPresent: v.LiteralSchema<true, undefined>;
                readonly output: v.RecordSchema<v.StringSchema<undefined>, v.UnknownSchema, undefined>;
            }, undefined>, v.ObjectSchema<{
                readonly areRequiredClaimsPresent: v.LiteralSchema<false, undefined>;
                readonly output: v.UnknownSchema;
            }, undefined>], undefined>, undefined>, undefined>;
            readonly isOptional: v.BooleanSchema<undefined>;
            readonly id: v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>;
            readonly format: v.LiteralSchema<"mso_mdoc", undefined>;
            readonly meta: v.OptionalSchema<v.ObjectSchema<{
                readonly doctype_values: v.OptionalSchema<v.ArraySchema<v.StringSchema<undefined>, undefined>, never>;
            }, undefined>, never>;
            readonly claim_sets: v.OptionalSchema<v.SchemaWithPipe<[v.ArraySchema<v.ArraySchema<v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>, undefined>, undefined>, v.NonEmptyAction<string[][], undefined>]>, never>;
        }, undefined>, v.ObjectSchema<{
            readonly claims: v.OptionalSchema<v.SchemaWithPipe<[v.ArraySchema<Omit<v.ObjectSchema<{
                readonly claim_query_results: v.ArraySchema<v.ArraySchema<v.UnionSchema<[v.LiteralSchema<"all", undefined>, v.ArraySchema<v.UnionSchema<[v.LooseObjectSchema<{
                    readonly success: v.LiteralSchema<true, undefined>;
                    readonly output: v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>], undefined>;
                }, undefined>, v.LooseObjectSchema<{
                    readonly success: v.LiteralSchema<false, undefined>;
                    readonly output: v.UnknownSchema;
                }, undefined>], undefined>, undefined>], undefined>, undefined>, undefined>;
                readonly isOptional: v.BooleanSchema<undefined>;
                readonly isRequiredIfPresent: v.BooleanSchema<undefined>;
                readonly id: v.OptionalSchema<v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>, never>;
                readonly path: v.OptionalSchema<v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.SchemaWithPipe<[v.NumberSchema<undefined>, v.IntegerAction<number, undefined>, v.MinValueAction<number, 0, undefined>]>, v.LiteralSchema<"*", undefined>], undefined>, undefined>, never>;
                readonly values: v.OptionalSchema<v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>], undefined>, undefined>, never>;
            }, undefined>, "entries" | "_types" | "_run"> & {
                readonly entries: Omit<{
                    readonly claim_query_results: v.ArraySchema<v.ArraySchema<v.UnionSchema<[v.LiteralSchema<"all", undefined>, v.ArraySchema<v.UnionSchema<[v.LooseObjectSchema<{
                        readonly success: v.LiteralSchema<true, undefined>;
                        readonly output: v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>], undefined>;
                    }, undefined>, v.LooseObjectSchema<{
                        readonly success: v.LiteralSchema<false, undefined>;
                        readonly output: v.UnknownSchema;
                    }, undefined>], undefined>, undefined>], undefined>, undefined>, undefined>;
                    readonly isOptional: v.BooleanSchema<undefined>;
                    readonly isRequiredIfPresent: v.BooleanSchema<undefined>;
                    readonly id: v.OptionalSchema<v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>, never>;
                    readonly path: v.OptionalSchema<v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.SchemaWithPipe<[v.NumberSchema<undefined>, v.IntegerAction<number, undefined>, v.MinValueAction<number, 0, undefined>]>, v.LiteralSchema<"*", undefined>], undefined>, undefined>, never>;
                    readonly values: v.OptionalSchema<v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>], undefined>, undefined>, never>;
                }, "isOptional" | "isRequiredIfPresent">;
                _run(dataset: v.Dataset<unknown, never>, config: v.Config<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.IntegerIssue<number> | v.MinValueIssue<number, 0> | v.LiteralIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.IntegerIssue<number> | v.MinValueIssue<number, 0> | v.LiteralIssue> | v.RegexIssue<string> | v.ArrayIssue | v.ObjectIssue | v.LooseObjectIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.LooseObjectIssue> | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.ArrayIssue | v.LooseObjectIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.LooseObjectIssue>>>): v.Dataset<{
                    claim_query_results: ("all" | (({
                        output: string | number | boolean;
                        success: true;
                    } & {
                        [key: string]: unknown;
                    }) | ({
                        output: unknown;
                        success: false;
                    } & {
                        [key: string]: unknown;
                    }))[])[][];
                    values?: (string | number | boolean)[] | undefined;
                    id?: string | undefined;
                    path?: (string | number)[] | undefined;
                }, v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.IntegerIssue<number> | v.MinValueIssue<number, 0> | v.LiteralIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.IntegerIssue<number> | v.MinValueIssue<number, 0> | v.LiteralIssue> | v.RegexIssue<string> | v.ArrayIssue | v.ObjectIssue | v.LooseObjectIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.LooseObjectIssue> | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.ArrayIssue | v.LooseObjectIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.LooseObjectIssue>>>;
                readonly _types?: {
                    readonly input: {
                        claim_query_results: ("all" | (({
                            output: string | number | boolean;
                            success: true;
                        } & {
                            [key: string]: unknown;
                        }) | ({
                            output: unknown;
                            success: false;
                        } & {
                            [key: string]: unknown;
                        }))[])[][];
                        values?: (string | number | boolean)[] | undefined;
                        id?: string | undefined;
                        path?: (string | number)[] | undefined;
                    };
                    readonly output: {
                        claim_query_results: ("all" | (({
                            output: string | number | boolean;
                            success: true;
                        } & {
                            [key: string]: unknown;
                        }) | ({
                            output: unknown;
                            success: false;
                        } & {
                            [key: string]: unknown;
                        }))[])[][];
                        values?: (string | number | boolean)[] | undefined;
                        id?: string | undefined;
                        path?: (string | number)[] | undefined;
                    };
                    readonly issue: v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.IntegerIssue<number> | v.MinValueIssue<number, 0> | v.LiteralIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.IntegerIssue<number> | v.MinValueIssue<number, 0> | v.LiteralIssue> | v.RegexIssue<string> | v.ArrayIssue | v.ObjectIssue | v.LooseObjectIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.LooseObjectIssue> | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.ArrayIssue | v.LooseObjectIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.LooseObjectIssue>>;
                } | undefined;
            }, undefined>, v.NonEmptyAction<{
                claim_query_results: ("all" | (({
                    output: string | number | boolean;
                    success: true;
                } & {
                    [key: string]: unknown;
                }) | ({
                    output: unknown;
                    success: false;
                } & {
                    [key: string]: unknown;
                }))[])[][];
                values?: (string | number | boolean)[] | undefined;
                id?: string | undefined;
                path?: (string | number)[] | undefined;
            }[], undefined>]>, never>;
            readonly claim_sets_results: v.ArraySchema<v.ArraySchema<v.UnionSchema<[v.ObjectSchema<{
                readonly areRequiredClaimsPresent: v.LiteralSchema<true, undefined>;
                readonly output: v.RecordSchema<v.StringSchema<undefined>, v.UnknownSchema, undefined>;
            }, undefined>, v.ObjectSchema<{
                readonly areRequiredClaimsPresent: v.LiteralSchema<false, undefined>;
                readonly output: v.UnknownSchema;
            }, undefined>], undefined>, undefined>, undefined>;
            readonly isOptional: v.BooleanSchema<undefined>;
            readonly format: v.LiteralSchema<"vc+sd-jwt", undefined>;
            readonly meta: v.OptionalSchema<v.ObjectSchema<{
                readonly vct_values: v.OptionalSchema<v.ArraySchema<v.StringSchema<undefined>, undefined>, never>;
            }, undefined>, never>;
            readonly id: v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>;
            readonly claim_sets: v.OptionalSchema<v.SchemaWithPipe<[v.ArraySchema<v.ArraySchema<v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>, undefined>, undefined>, v.NonEmptyAction<string[][], undefined>]>, never>;
        }, undefined>, v.ObjectSchema<{
            readonly claims: v.OptionalSchema<v.SchemaWithPipe<[v.ArraySchema<Omit<v.ObjectSchema<{
                readonly claim_query_results: v.ArraySchema<v.ArraySchema<v.UnionSchema<[v.LiteralSchema<"all", undefined>, v.ArraySchema<v.UnionSchema<[v.LooseObjectSchema<{
                    readonly success: v.LiteralSchema<true, undefined>;
                    readonly output: v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>], undefined>;
                }, undefined>, v.LooseObjectSchema<{
                    readonly success: v.LiteralSchema<false, undefined>;
                    readonly output: v.UnknownSchema;
                }, undefined>], undefined>, undefined>], undefined>, undefined>, undefined>;
                readonly isOptional: v.BooleanSchema<undefined>;
                readonly isRequiredIfPresent: v.BooleanSchema<undefined>;
                readonly id: v.OptionalSchema<v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>, never>;
                readonly path: v.OptionalSchema<v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.SchemaWithPipe<[v.NumberSchema<undefined>, v.IntegerAction<number, undefined>, v.MinValueAction<number, 0, undefined>]>, v.LiteralSchema<"*", undefined>], undefined>, undefined>, never>;
                readonly values: v.OptionalSchema<v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>], undefined>, undefined>, never>;
            }, undefined>, "entries" | "_types" | "_run"> & {
                readonly entries: Omit<{
                    readonly claim_query_results: v.ArraySchema<v.ArraySchema<v.UnionSchema<[v.LiteralSchema<"all", undefined>, v.ArraySchema<v.UnionSchema<[v.LooseObjectSchema<{
                        readonly success: v.LiteralSchema<true, undefined>;
                        readonly output: v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>], undefined>;
                    }, undefined>, v.LooseObjectSchema<{
                        readonly success: v.LiteralSchema<false, undefined>;
                        readonly output: v.UnknownSchema;
                    }, undefined>], undefined>, undefined>], undefined>, undefined>, undefined>;
                    readonly isOptional: v.BooleanSchema<undefined>;
                    readonly isRequiredIfPresent: v.BooleanSchema<undefined>;
                    readonly id: v.OptionalSchema<v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>, never>;
                    readonly path: v.OptionalSchema<v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.SchemaWithPipe<[v.NumberSchema<undefined>, v.IntegerAction<number, undefined>, v.MinValueAction<number, 0, undefined>]>, v.LiteralSchema<"*", undefined>], undefined>, undefined>, never>;
                    readonly values: v.OptionalSchema<v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>], undefined>, undefined>, never>;
                }, "isOptional" | "isRequiredIfPresent">;
                _run(dataset: v.Dataset<unknown, never>, config: v.Config<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.IntegerIssue<number> | v.MinValueIssue<number, 0> | v.LiteralIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.IntegerIssue<number> | v.MinValueIssue<number, 0> | v.LiteralIssue> | v.RegexIssue<string> | v.ArrayIssue | v.ObjectIssue | v.LooseObjectIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.LooseObjectIssue> | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.ArrayIssue | v.LooseObjectIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.LooseObjectIssue>>>): v.Dataset<{
                    claim_query_results: ("all" | (({
                        output: string | number | boolean;
                        success: true;
                    } & {
                        [key: string]: unknown;
                    }) | ({
                        output: unknown;
                        success: false;
                    } & {
                        [key: string]: unknown;
                    }))[])[][];
                    values?: (string | number | boolean)[] | undefined;
                    id?: string | undefined;
                    path?: (string | number)[] | undefined;
                }, v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.IntegerIssue<number> | v.MinValueIssue<number, 0> | v.LiteralIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.IntegerIssue<number> | v.MinValueIssue<number, 0> | v.LiteralIssue> | v.RegexIssue<string> | v.ArrayIssue | v.ObjectIssue | v.LooseObjectIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.LooseObjectIssue> | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.ArrayIssue | v.LooseObjectIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.LooseObjectIssue>>>;
                readonly _types?: {
                    readonly input: {
                        claim_query_results: ("all" | (({
                            output: string | number | boolean;
                            success: true;
                        } & {
                            [key: string]: unknown;
                        }) | ({
                            output: unknown;
                            success: false;
                        } & {
                            [key: string]: unknown;
                        }))[])[][];
                        values?: (string | number | boolean)[] | undefined;
                        id?: string | undefined;
                        path?: (string | number)[] | undefined;
                    };
                    readonly output: {
                        claim_query_results: ("all" | (({
                            output: string | number | boolean;
                            success: true;
                        } & {
                            [key: string]: unknown;
                        }) | ({
                            output: unknown;
                            success: false;
                        } & {
                            [key: string]: unknown;
                        }))[])[][];
                        values?: (string | number | boolean)[] | undefined;
                        id?: string | undefined;
                        path?: (string | number)[] | undefined;
                    };
                    readonly issue: v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.IntegerIssue<number> | v.MinValueIssue<number, 0> | v.LiteralIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.IntegerIssue<number> | v.MinValueIssue<number, 0> | v.LiteralIssue> | v.RegexIssue<string> | v.ArrayIssue | v.ObjectIssue | v.LooseObjectIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.LooseObjectIssue> | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.ArrayIssue | v.LooseObjectIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.LooseObjectIssue>>;
                } | undefined;
            }, undefined>, v.NonEmptyAction<{
                claim_query_results: ("all" | (({
                    output: string | number | boolean;
                    success: true;
                } & {
                    [key: string]: unknown;
                }) | ({
                    output: unknown;
                    success: false;
                } & {
                    [key: string]: unknown;
                }))[])[][];
                values?: (string | number | boolean)[] | undefined;
                id?: string | undefined;
                path?: (string | number)[] | undefined;
            }[], undefined>]>, never>;
            readonly claim_sets_results: v.ArraySchema<v.ArraySchema<v.UnionSchema<[v.ObjectSchema<{
                readonly areRequiredClaimsPresent: v.LiteralSchema<true, undefined>;
                readonly output: v.RecordSchema<v.StringSchema<undefined>, v.UnknownSchema, undefined>;
            }, undefined>, v.ObjectSchema<{
                readonly areRequiredClaimsPresent: v.LiteralSchema<false, undefined>;
                readonly output: v.UnknownSchema;
            }, undefined>], undefined>, undefined>, undefined>;
            readonly isOptional: v.BooleanSchema<undefined>;
            readonly format: v.PicklistSchema<["jwt_vc_json", "jwt_vc_json-ld"], undefined>;
            readonly id: v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>;
            readonly claim_sets: v.OptionalSchema<v.SchemaWithPipe<[v.ArraySchema<v.ArraySchema<v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>, undefined>, undefined>, v.NonEmptyAction<string[][], undefined>]>, never>;
        }, undefined>], undefined>, undefined>;
    }, undefined>;
    type QueryResult = v.InferOutput<typeof vQueryResult>;
    const vModel: v.ObjectSchema<{
        readonly credential_sets: v.OptionalSchema<v.SchemaWithPipe<[v.ArraySchema<v.ArraySchema<v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>, undefined>, undefined>, v.NonEmptyAction<string[][], undefined>]>, never>;
        readonly credential_sets_results: v.ArraySchema<v.ObjectSchema<{
            readonly areRequiredCredentialsPresent: v.BooleanSchema<undefined>;
            readonly credential_set_result: v.ArraySchema<v.VariantSchema<"format", [v.ObjectSchema<{
                readonly claims: v.OptionalSchema<v.SchemaWithPipe<[v.ArraySchema<Omit<v.ObjectSchema<{
                    readonly claim_query_results: v.ArraySchema<v.ArraySchema<v.UnionSchema<[v.LiteralSchema<"all", undefined>, v.ArraySchema<v.UnionSchema<[v.LooseObjectSchema<{
                        readonly success: v.LiteralSchema<true, undefined>;
                        readonly output: v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>], undefined>;
                    }, undefined>, v.LooseObjectSchema<{
                        readonly success: v.LiteralSchema<false, undefined>;
                        readonly output: v.UnknownSchema;
                    }, undefined>], undefined>, undefined>], undefined>, undefined>, undefined>;
                    readonly isOptional: v.BooleanSchema<undefined>;
                    readonly isRequiredIfPresent: v.BooleanSchema<undefined>;
                    readonly id: v.OptionalSchema<v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>, never>;
                    readonly namespace: v.StringSchema<undefined>;
                    readonly claim_name: v.StringSchema<undefined>;
                    readonly values: v.OptionalSchema<v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>], undefined>, undefined>, never>;
                }, undefined>, "entries" | "_types" | "_run"> & {
                    readonly entries: Omit<{
                        readonly claim_query_results: v.ArraySchema<v.ArraySchema<v.UnionSchema<[v.LiteralSchema<"all", undefined>, v.ArraySchema<v.UnionSchema<[v.LooseObjectSchema<{
                            readonly success: v.LiteralSchema<true, undefined>;
                            readonly output: v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>], undefined>;
                        }, undefined>, v.LooseObjectSchema<{
                            readonly success: v.LiteralSchema<false, undefined>;
                            readonly output: v.UnknownSchema;
                        }, undefined>], undefined>, undefined>], undefined>, undefined>, undefined>;
                        readonly isOptional: v.BooleanSchema<undefined>;
                        readonly isRequiredIfPresent: v.BooleanSchema<undefined>;
                        readonly id: v.OptionalSchema<v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>, never>;
                        readonly namespace: v.StringSchema<undefined>;
                        readonly claim_name: v.StringSchema<undefined>;
                        readonly values: v.OptionalSchema<v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>], undefined>, undefined>, never>;
                    }, "isOptional" | "isRequiredIfPresent">;
                    _run(dataset: v.Dataset<unknown, never>, config: v.Config<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.RegexIssue<string> | v.ArrayIssue | v.ObjectIssue | v.LooseObjectIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.LooseObjectIssue> | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.ArrayIssue | v.LooseObjectIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.LooseObjectIssue>>>): v.Dataset<{
                        namespace: string;
                        claim_name: string;
                        claim_query_results: ("all" | (({
                            output: string | number | boolean;
                            success: true;
                        } & {
                            [key: string]: unknown;
                        }) | ({
                            output: unknown;
                            success: false;
                        } & {
                            [key: string]: unknown;
                        }))[])[][];
                        values?: (string | number | boolean)[] | undefined;
                        id?: string | undefined;
                    }, v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.RegexIssue<string> | v.ArrayIssue | v.ObjectIssue | v.LooseObjectIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.LooseObjectIssue> | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.ArrayIssue | v.LooseObjectIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.LooseObjectIssue>>>;
                    readonly _types?: {
                        readonly input: {
                            namespace: string;
                            claim_name: string;
                            claim_query_results: ("all" | (({
                                output: string | number | boolean;
                                success: true;
                            } & {
                                [key: string]: unknown;
                            }) | ({
                                output: unknown;
                                success: false;
                            } & {
                                [key: string]: unknown;
                            }))[])[][];
                            values?: (string | number | boolean)[] | undefined;
                            id?: string | undefined;
                        };
                        readonly output: {
                            namespace: string;
                            claim_name: string;
                            claim_query_results: ("all" | (({
                                output: string | number | boolean;
                                success: true;
                            } & {
                                [key: string]: unknown;
                            }) | ({
                                output: unknown;
                                success: false;
                            } & {
                                [key: string]: unknown;
                            }))[])[][];
                            values?: (string | number | boolean)[] | undefined;
                            id?: string | undefined;
                        };
                        readonly issue: v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.RegexIssue<string> | v.ArrayIssue | v.ObjectIssue | v.LooseObjectIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.LooseObjectIssue> | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.ArrayIssue | v.LooseObjectIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.LooseObjectIssue>>;
                    } | undefined;
                }, undefined>, v.NonEmptyAction<{
                    namespace: string;
                    claim_name: string;
                    claim_query_results: ("all" | (({
                        output: string | number | boolean;
                        success: true;
                    } & {
                        [key: string]: unknown;
                    }) | ({
                        output: unknown;
                        success: false;
                    } & {
                        [key: string]: unknown;
                    }))[])[][];
                    values?: (string | number | boolean)[] | undefined;
                    id?: string | undefined;
                }[], undefined>]>, never>;
                readonly claim_sets_results: v.ArraySchema<v.ArraySchema<v.UnionSchema<[v.ObjectSchema<{
                    readonly areRequiredClaimsPresent: v.LiteralSchema<true, undefined>;
                    readonly output: v.RecordSchema<v.StringSchema<undefined>, v.UnknownSchema, undefined>;
                }, undefined>, v.ObjectSchema<{
                    readonly areRequiredClaimsPresent: v.LiteralSchema<false, undefined>;
                    readonly output: v.UnknownSchema;
                }, undefined>], undefined>, undefined>, undefined>;
                readonly isOptional: v.BooleanSchema<undefined>;
                readonly id: v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>;
                readonly format: v.LiteralSchema<"mso_mdoc", undefined>;
                readonly meta: v.OptionalSchema<v.ObjectSchema<{
                    readonly doctype_values: v.OptionalSchema<v.ArraySchema<v.StringSchema<undefined>, undefined>, never>;
                }, undefined>, never>;
                readonly claim_sets: v.OptionalSchema<v.SchemaWithPipe<[v.ArraySchema<v.ArraySchema<v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>, undefined>, undefined>, v.NonEmptyAction<string[][], undefined>]>, never>;
            }, undefined>, v.ObjectSchema<{
                readonly claims: v.OptionalSchema<v.SchemaWithPipe<[v.ArraySchema<Omit<v.ObjectSchema<{
                    readonly claim_query_results: v.ArraySchema<v.ArraySchema<v.UnionSchema<[v.LiteralSchema<"all", undefined>, v.ArraySchema<v.UnionSchema<[v.LooseObjectSchema<{
                        readonly success: v.LiteralSchema<true, undefined>;
                        readonly output: v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>], undefined>;
                    }, undefined>, v.LooseObjectSchema<{
                        readonly success: v.LiteralSchema<false, undefined>;
                        readonly output: v.UnknownSchema;
                    }, undefined>], undefined>, undefined>], undefined>, undefined>, undefined>;
                    readonly isOptional: v.BooleanSchema<undefined>;
                    readonly isRequiredIfPresent: v.BooleanSchema<undefined>;
                    readonly id: v.OptionalSchema<v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>, never>;
                    readonly path: v.OptionalSchema<v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.SchemaWithPipe<[v.NumberSchema<undefined>, v.IntegerAction<number, undefined>, v.MinValueAction<number, 0, undefined>]>, v.LiteralSchema<"*", undefined>], undefined>, undefined>, never>;
                    readonly values: v.OptionalSchema<v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>], undefined>, undefined>, never>;
                }, undefined>, "entries" | "_types" | "_run"> & {
                    readonly entries: Omit<{
                        readonly claim_query_results: v.ArraySchema<v.ArraySchema<v.UnionSchema<[v.LiteralSchema<"all", undefined>, v.ArraySchema<v.UnionSchema<[v.LooseObjectSchema<{
                            readonly success: v.LiteralSchema<true, undefined>;
                            readonly output: v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>], undefined>;
                        }, undefined>, v.LooseObjectSchema<{
                            readonly success: v.LiteralSchema<false, undefined>;
                            readonly output: v.UnknownSchema;
                        }, undefined>], undefined>, undefined>], undefined>, undefined>, undefined>;
                        readonly isOptional: v.BooleanSchema<undefined>;
                        readonly isRequiredIfPresent: v.BooleanSchema<undefined>;
                        readonly id: v.OptionalSchema<v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>, never>;
                        readonly path: v.OptionalSchema<v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.SchemaWithPipe<[v.NumberSchema<undefined>, v.IntegerAction<number, undefined>, v.MinValueAction<number, 0, undefined>]>, v.LiteralSchema<"*", undefined>], undefined>, undefined>, never>;
                        readonly values: v.OptionalSchema<v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>], undefined>, undefined>, never>;
                    }, "isOptional" | "isRequiredIfPresent">;
                    _run(dataset: v.Dataset<unknown, never>, config: v.Config<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.IntegerIssue<number> | v.MinValueIssue<number, 0> | v.LiteralIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.IntegerIssue<number> | v.MinValueIssue<number, 0> | v.LiteralIssue> | v.RegexIssue<string> | v.ArrayIssue | v.ObjectIssue | v.LooseObjectIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.LooseObjectIssue> | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.ArrayIssue | v.LooseObjectIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.LooseObjectIssue>>>): v.Dataset<{
                        claim_query_results: ("all" | (({
                            output: string | number | boolean;
                            success: true;
                        } & {
                            [key: string]: unknown;
                        }) | ({
                            output: unknown;
                            success: false;
                        } & {
                            [key: string]: unknown;
                        }))[])[][];
                        values?: (string | number | boolean)[] | undefined;
                        id?: string | undefined;
                        path?: (string | number)[] | undefined;
                    }, v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.IntegerIssue<number> | v.MinValueIssue<number, 0> | v.LiteralIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.IntegerIssue<number> | v.MinValueIssue<number, 0> | v.LiteralIssue> | v.RegexIssue<string> | v.ArrayIssue | v.ObjectIssue | v.LooseObjectIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.LooseObjectIssue> | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.ArrayIssue | v.LooseObjectIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.LooseObjectIssue>>>;
                    readonly _types?: {
                        readonly input: {
                            claim_query_results: ("all" | (({
                                output: string | number | boolean;
                                success: true;
                            } & {
                                [key: string]: unknown;
                            }) | ({
                                output: unknown;
                                success: false;
                            } & {
                                [key: string]: unknown;
                            }))[])[][];
                            values?: (string | number | boolean)[] | undefined;
                            id?: string | undefined;
                            path?: (string | number)[] | undefined;
                        };
                        readonly output: {
                            claim_query_results: ("all" | (({
                                output: string | number | boolean;
                                success: true;
                            } & {
                                [key: string]: unknown;
                            }) | ({
                                output: unknown;
                                success: false;
                            } & {
                                [key: string]: unknown;
                            }))[])[][];
                            values?: (string | number | boolean)[] | undefined;
                            id?: string | undefined;
                            path?: (string | number)[] | undefined;
                        };
                        readonly issue: v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.IntegerIssue<number> | v.MinValueIssue<number, 0> | v.LiteralIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.IntegerIssue<number> | v.MinValueIssue<number, 0> | v.LiteralIssue> | v.RegexIssue<string> | v.ArrayIssue | v.ObjectIssue | v.LooseObjectIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.LooseObjectIssue> | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.ArrayIssue | v.LooseObjectIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.LooseObjectIssue>>;
                    } | undefined;
                }, undefined>, v.NonEmptyAction<{
                    claim_query_results: ("all" | (({
                        output: string | number | boolean;
                        success: true;
                    } & {
                        [key: string]: unknown;
                    }) | ({
                        output: unknown;
                        success: false;
                    } & {
                        [key: string]: unknown;
                    }))[])[][];
                    values?: (string | number | boolean)[] | undefined;
                    id?: string | undefined;
                    path?: (string | number)[] | undefined;
                }[], undefined>]>, never>;
                readonly claim_sets_results: v.ArraySchema<v.ArraySchema<v.UnionSchema<[v.ObjectSchema<{
                    readonly areRequiredClaimsPresent: v.LiteralSchema<true, undefined>;
                    readonly output: v.RecordSchema<v.StringSchema<undefined>, v.UnknownSchema, undefined>;
                }, undefined>, v.ObjectSchema<{
                    readonly areRequiredClaimsPresent: v.LiteralSchema<false, undefined>;
                    readonly output: v.UnknownSchema;
                }, undefined>], undefined>, undefined>, undefined>;
                readonly isOptional: v.BooleanSchema<undefined>;
                readonly format: v.LiteralSchema<"vc+sd-jwt", undefined>;
                readonly meta: v.OptionalSchema<v.ObjectSchema<{
                    readonly vct_values: v.OptionalSchema<v.ArraySchema<v.StringSchema<undefined>, undefined>, never>;
                }, undefined>, never>;
                readonly id: v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>;
                readonly claim_sets: v.OptionalSchema<v.SchemaWithPipe<[v.ArraySchema<v.ArraySchema<v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>, undefined>, undefined>, v.NonEmptyAction<string[][], undefined>]>, never>;
            }, undefined>, v.ObjectSchema<{
                readonly claims: v.OptionalSchema<v.SchemaWithPipe<[v.ArraySchema<Omit<v.ObjectSchema<{
                    readonly claim_query_results: v.ArraySchema<v.ArraySchema<v.UnionSchema<[v.LiteralSchema<"all", undefined>, v.ArraySchema<v.UnionSchema<[v.LooseObjectSchema<{
                        readonly success: v.LiteralSchema<true, undefined>;
                        readonly output: v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>], undefined>;
                    }, undefined>, v.LooseObjectSchema<{
                        readonly success: v.LiteralSchema<false, undefined>;
                        readonly output: v.UnknownSchema;
                    }, undefined>], undefined>, undefined>], undefined>, undefined>, undefined>;
                    readonly isOptional: v.BooleanSchema<undefined>;
                    readonly isRequiredIfPresent: v.BooleanSchema<undefined>;
                    readonly id: v.OptionalSchema<v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>, never>;
                    readonly path: v.OptionalSchema<v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.SchemaWithPipe<[v.NumberSchema<undefined>, v.IntegerAction<number, undefined>, v.MinValueAction<number, 0, undefined>]>, v.LiteralSchema<"*", undefined>], undefined>, undefined>, never>;
                    readonly values: v.OptionalSchema<v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>], undefined>, undefined>, never>;
                }, undefined>, "entries" | "_types" | "_run"> & {
                    readonly entries: Omit<{
                        readonly claim_query_results: v.ArraySchema<v.ArraySchema<v.UnionSchema<[v.LiteralSchema<"all", undefined>, v.ArraySchema<v.UnionSchema<[v.LooseObjectSchema<{
                            readonly success: v.LiteralSchema<true, undefined>;
                            readonly output: v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>], undefined>;
                        }, undefined>, v.LooseObjectSchema<{
                            readonly success: v.LiteralSchema<false, undefined>;
                            readonly output: v.UnknownSchema;
                        }, undefined>], undefined>, undefined>], undefined>, undefined>, undefined>;
                        readonly isOptional: v.BooleanSchema<undefined>;
                        readonly isRequiredIfPresent: v.BooleanSchema<undefined>;
                        readonly id: v.OptionalSchema<v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>, never>;
                        readonly path: v.OptionalSchema<v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.SchemaWithPipe<[v.NumberSchema<undefined>, v.IntegerAction<number, undefined>, v.MinValueAction<number, 0, undefined>]>, v.LiteralSchema<"*", undefined>], undefined>, undefined>, never>;
                        readonly values: v.OptionalSchema<v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>], undefined>, undefined>, never>;
                    }, "isOptional" | "isRequiredIfPresent">;
                    _run(dataset: v.Dataset<unknown, never>, config: v.Config<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.IntegerIssue<number> | v.MinValueIssue<number, 0> | v.LiteralIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.IntegerIssue<number> | v.MinValueIssue<number, 0> | v.LiteralIssue> | v.RegexIssue<string> | v.ArrayIssue | v.ObjectIssue | v.LooseObjectIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.LooseObjectIssue> | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.ArrayIssue | v.LooseObjectIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.LooseObjectIssue>>>): v.Dataset<{
                        claim_query_results: ("all" | (({
                            output: string | number | boolean;
                            success: true;
                        } & {
                            [key: string]: unknown;
                        }) | ({
                            output: unknown;
                            success: false;
                        } & {
                            [key: string]: unknown;
                        }))[])[][];
                        values?: (string | number | boolean)[] | undefined;
                        id?: string | undefined;
                        path?: (string | number)[] | undefined;
                    }, v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.IntegerIssue<number> | v.MinValueIssue<number, 0> | v.LiteralIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.IntegerIssue<number> | v.MinValueIssue<number, 0> | v.LiteralIssue> | v.RegexIssue<string> | v.ArrayIssue | v.ObjectIssue | v.LooseObjectIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.LooseObjectIssue> | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.ArrayIssue | v.LooseObjectIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.LooseObjectIssue>>>;
                    readonly _types?: {
                        readonly input: {
                            claim_query_results: ("all" | (({
                                output: string | number | boolean;
                                success: true;
                            } & {
                                [key: string]: unknown;
                            }) | ({
                                output: unknown;
                                success: false;
                            } & {
                                [key: string]: unknown;
                            }))[])[][];
                            values?: (string | number | boolean)[] | undefined;
                            id?: string | undefined;
                            path?: (string | number)[] | undefined;
                        };
                        readonly output: {
                            claim_query_results: ("all" | (({
                                output: string | number | boolean;
                                success: true;
                            } & {
                                [key: string]: unknown;
                            }) | ({
                                output: unknown;
                                success: false;
                            } & {
                                [key: string]: unknown;
                            }))[])[][];
                            values?: (string | number | boolean)[] | undefined;
                            id?: string | undefined;
                            path?: (string | number)[] | undefined;
                        };
                        readonly issue: v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.IntegerIssue<number> | v.MinValueIssue<number, 0> | v.LiteralIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.IntegerIssue<number> | v.MinValueIssue<number, 0> | v.LiteralIssue> | v.RegexIssue<string> | v.ArrayIssue | v.ObjectIssue | v.LooseObjectIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.LooseObjectIssue> | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.ArrayIssue | v.LooseObjectIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue | v.UnionIssue<v.StringIssue | v.NumberIssue | v.BooleanIssue> | v.LiteralIssue | v.LooseObjectIssue>>;
                    } | undefined;
                }, undefined>, v.NonEmptyAction<{
                    claim_query_results: ("all" | (({
                        output: string | number | boolean;
                        success: true;
                    } & {
                        [key: string]: unknown;
                    }) | ({
                        output: unknown;
                        success: false;
                    } & {
                        [key: string]: unknown;
                    }))[])[][];
                    values?: (string | number | boolean)[] | undefined;
                    id?: string | undefined;
                    path?: (string | number)[] | undefined;
                }[], undefined>]>, never>;
                readonly claim_sets_results: v.ArraySchema<v.ArraySchema<v.UnionSchema<[v.ObjectSchema<{
                    readonly areRequiredClaimsPresent: v.LiteralSchema<true, undefined>;
                    readonly output: v.RecordSchema<v.StringSchema<undefined>, v.UnknownSchema, undefined>;
                }, undefined>, v.ObjectSchema<{
                    readonly areRequiredClaimsPresent: v.LiteralSchema<false, undefined>;
                    readonly output: v.UnknownSchema;
                }, undefined>], undefined>, undefined>, undefined>;
                readonly isOptional: v.BooleanSchema<undefined>;
                readonly format: v.PicklistSchema<["jwt_vc_json", "jwt_vc_json-ld"], undefined>;
                readonly id: v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>;
                readonly claim_sets: v.OptionalSchema<v.SchemaWithPipe<[v.ArraySchema<v.ArraySchema<v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>, undefined>, undefined>, v.NonEmptyAction<string[][], undefined>]>, never>;
            }, undefined>], undefined>, undefined>;
        }, undefined>, undefined>;
        readonly credentials: v.SchemaWithPipe<[v.ArraySchema<v.VariantSchema<"format", [v.ObjectSchema<{
            readonly id: v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>;
            readonly format: v.LiteralSchema<"mso_mdoc", undefined>;
            readonly meta: v.OptionalSchema<v.ObjectSchema<{
                readonly doctype_values: v.OptionalSchema<v.ArraySchema<v.StringSchema<undefined>, undefined>, never>;
            }, undefined>, never>;
            readonly claims: v.OptionalSchema<v.SchemaWithPipe<[v.ArraySchema<v.ObjectSchema<{
                readonly id: v.OptionalSchema<v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>, never>;
                readonly namespace: v.StringSchema<undefined>;
                readonly claim_name: v.StringSchema<undefined>;
                readonly values: v.OptionalSchema<v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>], undefined>, undefined>, never>;
            }, undefined>, undefined>, v.NonEmptyAction<{
                namespace: string;
                claim_name: string;
                values?: (string | number | boolean)[] | undefined;
                id?: string | undefined;
            }[], undefined>]>, never>;
            readonly claim_sets: v.OptionalSchema<v.SchemaWithPipe<[v.ArraySchema<v.ArraySchema<v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>, undefined>, undefined>, v.NonEmptyAction<string[][], undefined>]>, never>;
        }, undefined>, v.ObjectSchema<{
            readonly format: v.LiteralSchema<"vc+sd-jwt", undefined>;
            readonly meta: v.OptionalSchema<v.ObjectSchema<{
                readonly vct_values: v.OptionalSchema<v.ArraySchema<v.StringSchema<undefined>, undefined>, never>;
            }, undefined>, never>;
            readonly id: v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>;
            readonly claims: v.OptionalSchema<v.SchemaWithPipe<[v.ArraySchema<v.ObjectSchema<{
                readonly id: v.OptionalSchema<v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>, never>;
                readonly path: v.OptionalSchema<v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.SchemaWithPipe<[v.NumberSchema<undefined>, v.IntegerAction<number, undefined>, v.MinValueAction<number, 0, undefined>]>, v.LiteralSchema<"*", undefined>], undefined>, undefined>, never>;
                readonly values: v.OptionalSchema<v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>], undefined>, undefined>, never>;
            }, undefined>, undefined>, v.NonEmptyAction<{
                values?: (string | number | boolean)[] | undefined;
                id?: string | undefined;
                path?: (string | number)[] | undefined;
            }[], undefined>]>, never>;
            readonly claim_sets: v.OptionalSchema<v.SchemaWithPipe<[v.ArraySchema<v.ArraySchema<v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>, undefined>, undefined>, v.NonEmptyAction<string[][], undefined>]>, never>;
        }, undefined>, v.ObjectSchema<{
            readonly format: v.PicklistSchema<["jwt_vc_json", "jwt_vc_json-ld"], undefined>;
            readonly id: v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>;
            readonly claims: v.OptionalSchema<v.SchemaWithPipe<[v.ArraySchema<v.ObjectSchema<{
                readonly id: v.OptionalSchema<v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>, never>;
                readonly path: v.OptionalSchema<v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.SchemaWithPipe<[v.NumberSchema<undefined>, v.IntegerAction<number, undefined>, v.MinValueAction<number, 0, undefined>]>, v.LiteralSchema<"*", undefined>], undefined>, undefined>, never>;
                readonly values: v.OptionalSchema<v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>], undefined>, undefined>, never>;
            }, undefined>, undefined>, v.NonEmptyAction<{
                values?: (string | number | boolean)[] | undefined;
                id?: string | undefined;
                path?: (string | number)[] | undefined;
            }[], undefined>]>, never>;
            readonly claim_sets: v.OptionalSchema<v.SchemaWithPipe<[v.ArraySchema<v.ArraySchema<v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>, undefined>, undefined>, v.NonEmptyAction<string[][], undefined>]>, never>;
        }, undefined>], undefined>, undefined>, v.NonEmptyAction<({
            id: string;
            format: "mso_mdoc";
            meta?: {
                doctype_values?: string[] | undefined;
            } | undefined;
            claims?: {
                namespace: string;
                claim_name: string;
                values?: (string | number | boolean)[] | undefined;
                id?: string | undefined;
            }[] | undefined;
            claim_sets?: string[][] | undefined;
        } | {
            id: string;
            format: "vc+sd-jwt";
            meta?: {
                vct_values?: string[] | undefined;
            } | undefined;
            claims?: {
                values?: (string | number | boolean)[] | undefined;
                id?: string | undefined;
                path?: (string | number)[] | undefined;
            }[] | undefined;
            claim_sets?: string[][] | undefined;
        } | {
            id: string;
            format: "jwt_vc_json" | "jwt_vc_json-ld";
            claims?: {
                values?: (string | number | boolean)[] | undefined;
                id?: string | undefined;
                path?: (string | number)[] | undefined;
            }[] | undefined;
            claim_sets?: string[][] | undefined;
        })[], undefined>]>;
    }, undefined>;
    type Input = v.InferInput<typeof vModel>;
    type Out = v.InferOutput<typeof vModel>;
}
export type VpQueryResult = VpQueryResult.Out;
//# sourceMappingURL=v-vp-query-result.d.ts.map