import type { VpQueryResult } from './v-vp-query-result.js';
export declare class ResultBuilder {
    private vpQueryResult;
    private autoComplete;
    constructor(vpQueryResult: VpQueryResult);
    disableAutoComplete(disabled?: boolean): void;
    getSolutionSpace(): {
        credentialSetIndex: number;
        claimSets: {
            claimSetIndex: number;
            credentialIndices: number[];
        }[];
    }[];
}
export declare const simpleMdoc: {
    credentials: {
        id: string;
        format: "mso_mdoc";
        meta: {
            doctype_values: string[];
        };
        claims: {
            id: string;
            namespace: string;
            claim_name: string;
        }[];
        claim_sets: string[][];
    }[];
    credential_sets: string[][];
};
//# sourceMappingURL=vp-query.test.d.ts.map