export declare function getCauseFromUnknown(cause: unknown): Error | undefined;
export declare const isAusweisError: (cause: unknown) => cause is VpQueryError;
export declare function getAusweisErrorFromUnknown(cause: unknown): VpQueryError;
type AUSWEIS_ERROR_CODE = 'PARSE_ERROR' | 'INTERNAL_SERVER_ERROR' | 'NOT_IMPLEMENTED' | 'BAD_REQUEST';
export declare class VpQueryError extends Error {
    readonly cause?: Error;
    readonly code: AUSWEIS_ERROR_CODE;
    constructor(opts: {
        message?: string;
        code: AUSWEIS_ERROR_CODE;
        cause?: unknown;
    });
}
export declare const NOT_IMPLEMENTED: <Error extends typeof VpQueryError>(input: {
    message?: string;
    error?: Error;
}) => never;
export declare class Base64Error extends VpQueryError {
    constructor(opts: {
        message: string;
        cause?: unknown;
    });
}
export {};
//# sourceMappingURL=e-base.d.ts.map